PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::BoundaryNodeSetWithMeshImpl< MeshType >::IteratorWithMeshImpl Struct Reference

Base class for boundary iterator implementation which contains reference to boundary. More...

`#include <plask/mesh/boundary.hpp>`

Inheritance diagram for plask::BoundaryNodeSetWithMeshImpl< MeshType >::IteratorWithMeshImpl:
[legend]
Collaboration diagram for plask::BoundaryNodeSetWithMeshImpl< MeshType >::IteratorWithMeshImpl:
[legend]

## Public Member Functions
const BoundaryNodeSetWithMeshImpl< MeshType > & | getBoundary () const
const MeshType & | getMesh () const
| IteratorWithMeshImpl (const BoundaryNodeSetWithMeshImpl< MeshType > &boundaryImpl)
Public Member Functions inherited from plask::PolymorphicForwardIteratorImpl< ValueT, ReferenceT >
virtual ReferenceT | dereference () const =0
virtual void | increment ()=0
| Iterate to next value.
virtual | ~PolymorphicForwardIteratorImpl ()
| Virtual destructor, do nothing.
virtual bool | equal (const PolymorphicForwardIteratorImpl &other) const =0
| Check if this is equal to `other`.
virtual std::unique_ptr< PolymorphicForwardIteratorImpl< ValueT, ReferenceT > > | clone () const =0
| Clone this iterator.

## Public Attributes
const BoundaryNodeSetWithMeshImpl< MeshType > & | boundaryWithMesh

## Additional Inherited Members
Public Types inherited from plask::PolymorphicForwardIteratorImpl< ValueT, ReferenceT >
typedef ValueT | value_type
| Type of objects pointed by the iterator.
typedef ReferenceT | reference
| Type to represent a reference to an object pointed by the iterator.

## Detailed Description

template<typename MeshType>
struct plask::BoundaryNodeSetWithMeshImpl< MeshType >::IteratorWithMeshImpl

Base class for boundary iterator implementation which contains reference to boundary.

Should not be used directly, but can save some work when implementing own BoundaryImpl and Iterator.

Definition at line 179 of file boundary.hpp.

## Constructor & Destructor Documentation

## ◆ IteratorWithMeshImpl()

template<typename MeshType >

plask::BoundaryNodeSetWithMeshImpl< MeshType >::IteratorWithMeshImpl::IteratorWithMeshImpl | ( | const BoundaryNodeSetWithMeshImpl< MeshType > & | boundaryImpl | ) |
| inline

Definition at line 186 of file boundary.hpp.

## Member Function Documentation

## ◆ getBoundary()

template<typename MeshType >

const BoundaryNodeSetWithMeshImpl< MeshType > & plask::BoundaryNodeSetWithMeshImpl< MeshType >::IteratorWithMeshImpl::getBoundary | ( |  | ) | const
| inline

Definition at line 183 of file boundary.hpp.

## ◆ getMesh()

template<typename MeshType >

const MeshType & plask::BoundaryNodeSetWithMeshImpl< MeshType >::IteratorWithMeshImpl::getMesh | ( |  | ) | const
| inline

Definition at line 184 of file boundary.hpp.

## Member Data Documentation

## ◆ boundaryWithMesh

template<typename MeshType >

const BoundaryNodeSetWithMeshImpl<MeshType>& plask::BoundaryNodeSetWithMeshImpl< MeshType >::IteratorWithMeshImpl::boundaryWithMesh

Definition at line 181 of file boundary.hpp.

The documentation for this struct was generated from the following file:

- plask/mesh/boundary.hpp